<!DOCTYPE html>
<html lang="en"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:f="http://xmlns.jcp.org/jsf/core"
    xmlns:h="http://xmlns.jcp.org/jsf/html"
    xmlns:a="http://xmlns.jcp.org/jsf/passthrough"
>
    <h:head>
        <title>Select Random Show</title>
    </h:head>
    <h:body>
        <h1>Please select the type of show from which you want to get a random show</h1>
        <h:form id="userChoiceForm">
				<h:outputLabel value="Type of Shows" />
					<h:selectManyCheckbox value="#{randomShowBackingBean.showType}">
						<f:selectItem itemValue="Movie" itemLabel="Movie"/>
						<f:selectItem itemValue="TvShow" itemLabel="Tv Show"/>
						<f:selectItem itemValue="Video" itemLabel="Video"/>
					</h:selectManyCheckbox>	
				<h:commandButton value="Submit" action="#{randomShowBackingBean.getRandomShow}" />
		</h:form>
    </h:body>
</html>